import request from '@/utils/request'

// 查询宅基地使用权流转审批列表
export function listLzspyj(query) {
  return request({
    url: '/house/lzspyj/list',
    method: 'get',
    params: query
  })
}

// 导出宅基地使用权流转审批
export function exportLzspyj(query) {
  return request({
    url: '/house/lzspyj/export',
    method: 'get',
    params: query
  })
}

// 查询宅基地使用权流转审批详细
export function getLzspyj(id) {
  return request({
    url: '/house/lzspyj/get/' + id,
    method: 'get'
  })
}

// 新增宅基地使用权流转审批
export function addLzspyj(data) {
  return request({
    url: '/house/lzspyj/add',
    method: 'post',
    data: data
  })
}

// 修改宅基地使用权流转审批
export function updateLzspyj(data) {
  return request({
    url: '/house/lzspyj/edit',
    method: 'post',
    data: data
  })
}

// 删除宅基地使用权流转审批
export function delLzspyj(id) {
  return request({
    url: '/house/lzspyj/remove/' + id,
    method: 'get'
  })
}

